
println("Running with Java ${System.getProperty("java.version")} on JVM: ${System.getProperty("java.vendor")} ${System.getProperty("java.vm.version")} (Architecture: ${System.getProperty("os.arch")})")

pluginManagement {
	val kotlin_version: String by settings
	val forge_gradle_version: String by settings

	plugins {
		kotlin("jvm") version(kotlin_version)
		id("net.minecraftforge.gradle") version(forge_gradle_version)
	}
}

buildscript {
	repositories {
		// These repositories are only for Gradle plugins, put any other repositories in the repository block further below
		maven(url = "https://maven.minecraftforge.net")
		mavenCentral()
	}

	dependencies {
		val kotlin_version: String by settings
		val forge_gradle_version: String by settings

		classpath(group = "net.minecraftforge.gradle", name = "ForgeGradle", version = forge_gradle_version)
		classpath("org.jetbrains.kotlin:kotlin-gradle-plugin:${kotlin_version}")
	}
}
